% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BinaryNet.R
\docType{methods}
\name{extract-methods}
\alias{extract-methods}
\alias{[,DirectedNet-method}
\alias{[,UndirectedNet-method}
\alias{[<-,DirectedNet-method}
\alias{[<-,UndirectedNet-method}
\alias{[,Rcpp_DirectedNet-method}
\alias{[,Rcpp_UndirectedNet-method}
\alias{[<-,Rcpp_DirectedNet-method}
\alias{[<-,Rcpp_UndirectedNet-method}
\title{Subsetting and assignment for Net objects}
\usage{
\S4method{[}{Rcpp_DirectedNet}(x, i, j, ..., maskMissing = TRUE, drop = TRUE)

\S4method{[}{Rcpp_UndirectedNet}(x, i, j, ..., maskMissing = TRUE, drop = TRUE)

\S4method{[}{Rcpp_DirectedNet}(x, i, j, ...) <- value

\S4method{[}{Rcpp_UndirectedNet}(x, i, j, ...) <- value
}
\arguments{
\item{x}{A `DirectedNet` or `UndirectedNet` object.}

\item{i, j}{Index vectors.}

\item{...}{Currently unused.}

\item{maskMissing}{Logical. Should missing values be masked by NA?}

\item{drop}{Ignored (present for compatibility).}

\item{value}{Values to assign (for `[<-` only).}
}
\value{
A modified object or extracted submatrix depending on the method.
}
\description{
These methods allow standard subsetting (`[`) and assignment (`[<-`) for `DirectedNet` and `UndirectedNet` objects.
}
